VST 3 SDK: Steinberg::ModuleInfoLib Namespace Reference
Author: Steinberg

VST 3 SDK VST 3.8 SDK for developing VST plug-in

Loading...
Searching...
No Matches
Functions
Steinberg::ModuleInfoLib Namespace Reference

## Functions
ModuleInfo | createModuleInfo (const VST3::Hosting::Module &module, bool includeDiscardableClasses)
| create a ModuleInfo from a module
void | outputJson (const ModuleInfo &info, std::ostream &output)
| output the ModuleInfo as json to the stream
std::optional< ModuleInfo > | parseJson (std::string_view jsonData, std::ostream *optErrorOutput)
| parse a json formatted string to a ModuleInfo struct
std::optional< ModuleInfo::CompatibilityList > | parseCompatibilityJson (std::string_view jsonData, std::ostream *optErrorOutput)
| parse a json formatted string to a ModuleInfo::CompatibilityList

## Function Documentation

## ◆ createModuleInfo()

ModuleInfo createModuleInfo | ( | const VST3::Hosting::Module & | module,
|  | bool | includeDiscardableClasses )

create a ModuleInfo from a module

Parameters

  module | module to create the module info from
  includeDiscardableClasses | if true adds the current available classes to the module info

Returns
  a ModuleInfo struct with the classes and factory info of the module

## ◆ outputJson()

void outputJson | ( | const ModuleInfo & | info,
|  | std::ostream & | output )

output the ModuleInfo as json to the stream

Parameters

  info | module info
  output | output stream

## ◆ parseJson()

std::optional< ModuleInfo > parseJson | ( | std::string_view | jsonData,
|  | std::ostream * | optErrorOutput )

parse a json formatted string to a ModuleInfo struct

Parameters

  jsonData | a string view to a json formatted string
  optErrorOutput | optional error output stream where to print parse error

Returns
  ModuleInfo if parsing succeeded

## ◆ parseCompatibilityJson()

std::optional< ModuleInfo::CompatibilityList > parseCompatibilityJson | ( | std::string_view | jsonData,
|  | std::ostream * | optErrorOutput )

parse a json formatted string to a ModuleInfo::CompatibilityList

Parameters

  jsonData | a string view to a json formatted string
  optErrorOutput | optional error output stream where to print parse error

Returns
  ModuleInfo::CompatibilityList if parsing succeeded

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.